# PXMLSettings Class Reference

`#include <pxml.h>`

Inheritance diagram for PXMLSettings:

List of all members.

## Public Member Functions

| PXMLSettings (Options options=NewLineAfterElement)
| PXMLSettings (const PString &data, Options options=NewLineAfterElement)
| PXMLSettings (const PConfig &data, Options options=NewLineAfterElement)
bool | Load (const PString &data)
bool | LoadFile (const PFilePath &fn)
bool | Save ()
bool | Save (PString &data)
bool | SaveFile (const PFilePath &fn)
void | SetAttribute (const PCaselessString &section, const PString &key, const PString &value)
PString | GetAttribute (const PCaselessString &section, const PString &key) const
bool | HasAttribute (const PCaselessString &section, const PString &key) const
void | ToConfig (PConfig &cfg) const

## Constructor & Destructor Documentation

PXMLSettings::PXMLSettings | ( | Options | options = `NewLineAfterElement` | ) |

PXMLSettings::PXMLSettings | ( | const PString & | data,
|  | Options | options = `NewLineAfterElement` |
| ) |  |  |

PXMLSettings::PXMLSettings | ( | const PConfig & | data,
|  | Options | options = `NewLineAfterElement` |
| ) |  |  |

## Member Function Documentation

PString PXMLSettings::GetAttribute | ( | const PCaselessString & | section,
|  | const PString & | key |
| ) |  |  | const

bool PXMLSettings::HasAttribute | ( | const PCaselessString & | section,
|  | const PString & | key |
| ) |  |  | const

bool PXMLSettings::Load | ( | const PString & | data | ) |

bool PXMLSettings::LoadFile | ( | const PFilePath & | fn | ) |

bool PXMLSettings::Save | ( | PString & | data | ) |

bool PXMLSettings::Save | ( |  | ) |

bool PXMLSettings::SaveFile | ( | const PFilePath & | fn | ) |

void PXMLSettings::SetAttribute | ( | const PCaselessString & | section,
|  | const PString & | key,
|  | const PString & | value |
| ) |  |  |

void PXMLSettings::ToConfig | ( | PConfig & | cfg | ) | const

The documentation for this class was generated from the following file:

- pxml.h